summaryrefslogtreecommitdiffstats
path: root/common
diff options
context:
space:
mode:
Diffstat (limited to 'common')
-rwxr-xr-xcommon/ci/clean.sh20
-rwxr-xr-x[-rw-r--r--]common/ci/setup.sh6
2 files changed, 22 insertions, 4 deletions
diff --git a/common/ci/clean.sh b/common/ci/clean.sh
index bb47479..da75205 100755
--- a/common/ci/clean.sh
+++ b/common/ci/clean.sh
@@ -14,7 +14,7 @@ reset=`tput sgr0`
blue=`tput setaf 4`
red=`tput setaf 1`
green=`tput setaf 2`
-
+pxe_bridge='pxebr'
vm_dir=/var/opt/opnfv
##END VARS
@@ -234,3 +234,21 @@ for kernel_mod in vboxnetadp vboxnetflt vboxpci vboxdrv kvm_intel kvm; do
echo "${blue}Removed Kernel Module: $kernel_mod ${reset}"
fi
done
+
+###remove pxebr
+echo "${blue}Checking whether PXE bridge ${pxe_bridge} exists${reset}"
+if ! brctl show ${pxe_bridge} 2>&1 | grep -i 'No such device'; then
+ echo "${blue}PXE bridge detected. Removing...${reset}"
+ if ifconfig | grep ${pxe_bridge}; then
+ ifdown ${pxe_bridge}
+ fi
+ brctl delbr ${pxe_bridge}
+ if ifconfig | grep ${pxe_bridge} || brctl show | grep ${pxe_bridge}; then
+ echo "${red}Error trying to remove ${pxe_bridge}${reset}"
+ exit 1
+ else
+ echo "${blue}PXE bridge ${pxe_bridge} removed${reset}"
+ fi
+else
+ echo "${blue}PXE bridge ${pxe_bridge} does not exist${reset}"
+fi
diff --git a/common/ci/setup.sh b/common/ci/setup.sh
index 73b0aa6..3ffd36b 100644..100755
--- a/common/ci/setup.sh
+++ b/common/ci/setup.sh
@@ -128,7 +128,7 @@ setup_pxe_bridge() {
#Check whether PXE bridge exists
echo "${blue}Checking whether PXE bridge ${pxe_bridge} exists${reset}"
- if brctl show ${pxe_bridge} | grep 'No such device'; then
+ if brctl show ${pxe_bridge} 2>&1 | grep 'No such device'; then
echo "${blue}Creating PXE bridge ${pxe_bridge}${reset}"
brctl addbr ${pxe_bridge}
else
@@ -140,10 +140,10 @@ setup_pxe_bridge() {
#Add VLAN 0 (PXE) interface to PXE bridge
echo "${blue}Checking whether VLAN 0 (PXE) interface ${pxe_interface} is added to PXE bridge ${pxe_bridge} exists${reset}"
- if ! brctl show ${pxe_bridge} | grep ${pxe_interface}; then
+ if ! brctl show ${pxe_bridge} 2>&1 | grep ${pxe_interface}; then
echo "${blue}Adding VLAN 0 (PXE) interface ${pxe_interface} to PXE bridge ${pxe_bridge}${reset}"
brctl addif ${pxe_bridge} ${pxe_interface}
- if ! brctl show ${pxe_bridge} | grep ${pxe_interface}; then
+ if ! brctl show ${pxe_bridge} 2>&1 | grep ${pxe_interface}; then
echo "${red}Could not add VLAN 0 (PXE) interface ${pxe_interface} to PXE bridge ${pxe_bridge}${reset}"
exit 1
fi